package guiBib;

import domainBib.*;
import java.time.LocalDateTime;
import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;

public class BibliothekGUI extends JFrame implements ActionListener{
	private static CardLayout cl = new CardLayout();
    private static JPanel mainPanel = new JPanel(cl);
    
    public static void main(String[] args) {
        SwingUtilities.invokeLater(BibliothekGUI::new);
    }
    
	public BibliothekGUI() {
		Bibliothek.makeEntries();
		JPanel loginPanel = new JPanel(new BorderLayout());
		JLabel text1 = new JLabel("Login mit Kennnummer:");
		loginPanel.add(text1, BorderLayout.NORTH);
		JPanel loginGrid = new JPanel(new BorderLayout());
		JTextField field1 = new JTextField(20);
		loginGrid.add(field1);
		loginPanel.add(loginGrid, BorderLayout.CENTER);
		JButton b0 = new JButton("Registrieren");
		b0.addActionListener(e -> { nutzerAnlegen();});
		JButton b3 = new JButton("Ohne Anmeldung fortfahren");
		b3.addActionListener(e -> {
			browseMedia();
		});	
		JPanel buttonGrid = new JPanel(new GridLayout(1,2,10,10));
		buttonGrid.add(b0);
		buttonGrid.add(b3);
		loginGrid.add(buttonGrid, BorderLayout.SOUTH);
		JPanel bp = new JPanel(new GridLayout(1,2,10,10));
		JButton b1 = new JButton("Abbrechen");
		b1.addActionListener(e -> dispose());
		JButton b2 = new JButton("OK");
			b2.addActionListener(e -> {
				String loginStr = field1.getText();
				Integer login = Integer.parseInt(loginStr);
				if(login == 1) {openAdmin();}else {
				Kunde k = Bibliothek.validateLogin(login);
				String text = k.getClass().toString();
				int lastDotIndex = text.lastIndexOf(".");
				String substring = text.substring(lastDotIndex + 1);
				if(substring.equals("Kunde")) {openMainMenu(k);}
				}});
		bp.add(b1);
		bp.add(b2);
		loginPanel.add(bp, BorderLayout.SOUTH);
		add(mainPanel);
		setVisible(true);
		setSize(1200, 700);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		mainPanel.add(loginPanel, "loginPanel");
		cl.show(mainPanel, "loginPanel");
	}
	
	private void browseMedia() {
		JPanel browsePanel = new JPanel(new GridLayout(6, 1, 10, 10));
		JButton b1 = new JButton("Bücher");
		Kunde k = null;
		b1.addActionListener(e -> bookMenu(k));
		JButton b2 = new JButton("DVDs");
		b2.addActionListener(e -> dvdMenu(k));
		JButton b3 = new JButton("CDs");
		b3.addActionListener(e -> cdMenu(k));
		JButton b4 = new JButton("Brettspiele");
		b4.addActionListener(e -> bsMenu(k));
		JButton b5 = new JButton("Videospiele");
		b5.addActionListener(e -> vsMenu(k));
		JButton b6 = new JButton("OK");
		b6.addActionListener(e -> cl.show(mainPanel, "loginPanel"));
		browsePanel.add(b1);
		browsePanel.add(b2);
		browsePanel.add(b3);
		browsePanel.add(b4);
		browsePanel.add(b5);
		browsePanel.add(b6);
		mainPanel.add(browsePanel, "browsePanel");
		cl.show(mainPanel, "browsePanel");
	}

	private void nutzerAnlegen() {
		JPanel registerMenu = new JPanel(new BorderLayout());
		int newKennnummer = Bibliothek.getNewKennnummer();
		JPanel registerPanel = new JPanel(new GridLayout(3,1,10,10));
		JLabel text0 = new JLabel("Ihre Kennnummmer wird " + newKennnummer + " sein.");
		JLabel text1 = new JLabel("Die Mitgliedsgebühren betragen 10€ jährlich, für Studenten 5€.");
		JCheckBox studentOrNot = new JCheckBox("Sind Sie Student? Falls ja bitte anklicken."); 
		registerPanel.add(text0);
		registerPanel.add(text1);
		registerPanel.add(studentOrNot);
		registerMenu.add(registerPanel, BorderLayout.CENTER);
		final boolean[] isStudent = {false};
		studentOrNot.addActionListener(e -> isStudent[0] = studentOrNot.isSelected());
		JPanel bg = new JPanel(new GridLayout(1,2,10,10));
		JButton b2 = new JButton("OK");
		b2.addActionListener(e -> {
			Kunde k = new Kunde(isStudent[0], newKennnummer);
			if(isStudent[0] == true) {
				int amount = 5;
				k.setSchulden(amount);
			} else {
				int amount = 10;
				k.setSchulden(amount);
			}
			Bibliothek.addCustomer(k);
			cl.show(mainPanel, "loginPanel");
		});
		JButton b1 = new JButton("Abbrechen");
		b1.addActionListener(e -> cl.show(mainPanel, "loginPanel"));
		bg.add(b1);
		bg.add(b2);
		registerMenu.add(bg, BorderLayout.SOUTH);
		mainPanel.add(registerMenu, "registerMenu");
		cl.show(mainPanel, "registerMenu");
	}

	private static void openAdmin() {
		JPanel adminPanel = new JPanel(new BorderLayout());
		JPanel adminGrid = new JPanel(new GridLayout(2, 1, 10, 10));
		JLabel text1 = new JLabel("Admin-Bildschirm");
		adminPanel.add(text1, BorderLayout.NORTH);
		JButton b0 = new JButton("Ausloggen");
		b0.addActionListener(e -> cl.show(mainPanel, "loginPanel"));
		adminPanel.add(b0, BorderLayout.SOUTH);
		JButton b1 = new JButton("Liste aller Kunden ansehen");
		b1.addActionListener(e -> userListMenu());
		JButton b2 = new JButton("Gebühren überschreiben");
		b2.addActionListener(e -> changeOwedMenu());
		adminGrid.add(b1);
		adminGrid.add(b2);
		adminPanel.add(adminGrid, BorderLayout.CENTER);
		mainPanel.add(adminPanel, "adminMenu");
		cl.show(mainPanel, "adminMenu");
	}

	private static void userListMenu() {
		int i = Bibliothek.getUserListLength();
		JPanel userListPanel = new JPanel(new GridLayout(i+1, 2, 10, 10));
		ArrayList<JLabel> jlabelList = Bibliothek.nutzerAuflisten();
		for(JLabel j: jlabelList) {
			userListPanel.add(j);
		}
		JButton b1 = new JButton("OK");
		b1.addActionListener(e -> cl.show(mainPanel, "adminMenu"));
		userListPanel.add(b1, BorderLayout.SOUTH);
		mainPanel.add(userListPanel, "userList");
		cl.show(mainPanel, "userList");
	}

	private static void changeOwedMenu() {
		JPanel changeOwedMenu = new JPanel(new BorderLayout());
		int i = Bibliothek.getUserListLength();
		JPanel userListPanel = new JPanel(new GridLayout(i+5, 2, 10, 10));
		JLabel text1 = new JLabel("Alle Nutzer:");
		changeOwedMenu.add(text1, BorderLayout.NORTH);
		ArrayList<JLabel> jlabelList = Bibliothek.nutzerAuflisten();
		for(JLabel j: jlabelList) {
			userListPanel.add(j);
		}
		JLabel text0 = new JLabel("Geben Sie die Kennnumer des Nutzers ein: ");
		userListPanel.add(text0);
		JTextField inputField1 = new JTextField(20);
		userListPanel.add(inputField1);
		JLabel text2 = new JLabel("Geben Sie die Menge ein:");
		userListPanel.add(text2);
		JTextField inputField2 = new JTextField(20);
		userListPanel.add(inputField2);
		changeOwedMenu.add(userListPanel,BorderLayout.CENTER);
		JPanel bg = new JPanel(new GridLayout(1,2,10,10));
		JButton b1 = new JButton("Abbrechen");
		b1.addActionListener(e -> cl.show(mainPanel, "adminMenu"));
		JButton b2 = new JButton("OK");
		b2.addActionListener(e -> {
			String kennnummer = inputField1.getText().toString();
			String amountStr = inputField2.getText().toString();
			int amount = Integer.parseInt(amountStr);
			if(kennnummer == "") {
				cl.show(mainPanel, "adminMenu");
			} else {
				Bibliothek.changeOwedMenu2(kennnummer, amount);
				cl.show(mainPanel, "adminMenu");
			}
		});
		bg.add(b1);
		bg.add(b2);
		changeOwedMenu.add(bg, BorderLayout.SOUTH);
		mainPanel.add(changeOwedMenu, "changeOwed");
		cl.show(mainPanel, "changeOwed");
	}

	private static void openMainMenu(Kunde k) {
		JPanel mediumPanel = new JPanel(new GridLayout(12, 1, 10, 10));
		JLabel text1 = new JLabel("Ihre Kennnnummer: " + k.getKennnummer());
		mediumPanel.add(text1);
		JButton b1 = new JButton("Bücher");
		b1.addActionListener(e -> bookMenu(k));
		JButton b2 = new JButton("DVDs");
		b2.addActionListener(e -> dvdMenu(k));
		JButton b3 = new JButton("CDs");
		b3.addActionListener(e -> cdMenu(k));
		JButton b4 = new JButton("Brettspiele");
		b4.addActionListener(e -> bsMenu(k));
		JButton b5 = new JButton("Videospiele");
		b5.addActionListener(e -> vsMenu(k));
		JButton b6 = new JButton("Ausleihe");
		b6.addActionListener(e -> ausleihenMenü(k));
		JButton b7 = new JButton("Rückgabe");
		b7.addActionListener(e -> rückgabeMenü(k));
		JButton b8 = new JButton("Meine Ausgeliehenen Medien");
		b8.addActionListener(e -> myBooks(k));
		JButton b9 = new JButton("Verlängern");
		b9.addActionListener(e -> verlängern(k));
		JButton b10 = new JButton("Meine Schulden abbezahlen");
		b10.addActionListener(e -> schuldenBegleichen(k));
		JButton b11 = new JButton("Ausloggen");
		b11.addActionListener(e -> cl.show(mainPanel, "loginPanel"));
		mediumPanel.add(b1);
		mediumPanel.add(b2);
		mediumPanel.add(b3);
		mediumPanel.add(b4);
		mediumPanel.add(b5);
		mediumPanel.add(b6);
		mediumPanel.add(b7);
		mediumPanel.add(b8);
		mediumPanel.add(b9);
		mediumPanel.add(b10);
		mediumPanel.add(b11);
		mainPanel.add(mediumPanel, "mediumPanel");
		cl.show(mainPanel, "mediumPanel");
	}
	
	private static void verlängern(Kunde k) {
		JPanel verlängerungPanel = new JPanel(new BorderLayout());
		JLabel text0 = new JLabel("Geben Sie die Kennnumer des Mediums ein, dessen Rückgabezeit sie verlängern möchten.");
		JTextField inputField = new JTextField(20);
		int i = k.ausgelieheneMedienLänge();
		JPanel info = new JPanel(new GridLayout(i+2, 1, 10, 10));
		JLabel text1 = new JLabel("Ihre Ausgeliehene Medien:");
		verlängerungPanel.add(text0, BorderLayout.NORTH);
		ArrayList<JLabel> jlabelList = Bibliothek.ausgelieheneListe(k);
		info.add(text1);
		for(JLabel j: jlabelList) {
			info.add(j, BorderLayout.CENTER);
		}
		info.add(inputField);
		verlängerungPanel.add(info, BorderLayout.CENTER);
		JPanel bg = new JPanel(new GridLayout(1,2,10,10));
		JButton b1 = new JButton("OK");
		b1.addActionListener(e -> {
			if(i>0) {
				int kennnummer = Integer.parseInt(inputField.getText());
				boolean verlängerungMöglich = Bibliothek.verlängerungMöglich(kennnummer, k);
					if(verlängerungMöglich == true){
						verlängerung1();
					} else {
						verlängerung2();	
					}
			} else {
				cl.show(mainPanel, "mediumPanel");
			}
		});
		JButton b2 = new JButton("Abbrechen");
		b2.addActionListener(e -> {
			cl.show(mainPanel, "mediumPanel");
		});
		bg.add(b2);
		bg.add(b1);
		if(i == 0) {
			verlängerungPanel.remove(inputField);
		}
		verlängerungPanel.add(bg, BorderLayout.SOUTH);
		mainPanel.add(verlängerungPanel, "Verlängerung0");
		cl.show(mainPanel, "Verlängerung0");
	}

	private static void verlängerung1() {
		JPanel v1 = new JPanel(new BorderLayout());
		JLabel text1 = new JLabel("Verlängerung erfolgreich.");
		v1.add(text1, BorderLayout.CENTER);
		JButton b = new JButton("OK");
		b.addActionListener(e -> {
			cl.show(mainPanel, "mediumPanel");
	        mainPanel.remove(v1);
	        mainPanel.revalidate();
	        mainPanel.repaint();
		});
		v1.add(b, BorderLayout.SOUTH);
		mainPanel.add(v1, "Verlängerung1");
		cl.show(mainPanel, "Verlängerung1");
	}
	
	private static void verlängerung2() {
		JPanel v2 = new JPanel(new BorderLayout());
		JLabel text1 = new JLabel("Verlängerung fehlgeschlagen.");
		v2.add(text1, BorderLayout.CENTER);
		JButton b = new JButton("OK");
		b.addActionListener(e -> {
			cl.show(mainPanel, "mediumPanel");
			mainPanel.remove(v2);
	        mainPanel.revalidate();
	        mainPanel.repaint();
	       // mainPanel.remove(v2);
		});
		v2.add(b, BorderLayout.SOUTH);
		mainPanel.add(v2, "Verlängerung2");
		cl.show(mainPanel, "Verlängerung2");
	}

	private static void schuldenBegleichen(Kunde k) {
		JPanel schuldenMenü = new JPanel(new BorderLayout());
		double schulden = k.getSchulden();
		if(schulden > 0) {
		JLabel text0 = new JLabel("Sie haben " + schulden + "€ Schulden. Geben Sie unten ein, wie viel Sie zahlen möchten.");
		JTextField inputField1 = new JTextField(20);
		JButton b1 = new JButton("OK");
		schuldenMenü.add(text0, BorderLayout.NORTH);
		schuldenMenü.add(inputField1, BorderLayout.CENTER);
		JPanel buttonGrid = new JPanel(new GridLayout(1,2,10,10));
		JButton b2 = new JButton("Abbrechen");
		b2.addActionListener(e -> cl.show(mainPanel, "mediumPanel"));
		buttonGrid.add(b2);
		buttonGrid.add(b1);
		schuldenMenü.add(buttonGrid, BorderLayout.SOUTH);
		b1.addActionListener(e -> {
			int einzahlung = Integer.parseInt(inputField1.getText());
			double newSchulden = schulden - einzahlung;
			k.setSchulden(newSchulden);
			cl.show(mainPanel, "mediumPanel");
		});
		} else if(schulden <= 0){
			JLabel text0 = new JLabel("Sie haben keine Schulden.");
			JLabel text1 = new JLabel("Ihr Guthaben beträgt " + schulden*(-1) + "€.");
			JButton b1 = new JButton("OK");
			schuldenMenü.add(text0, BorderLayout.NORTH);
			schuldenMenü.add(text1, BorderLayout.CENTER);
			schuldenMenü.add(b1, BorderLayout.SOUTH);
			b1.addActionListener(e -> {
				cl.show(mainPanel, "mediumPanel");
			});
		}
		mainPanel.add(schuldenMenü, "Schulden");
		cl.show(mainPanel, "Schulden");
	}

	private static void ausleihenMenü(Kunde k) {
		JPanel ausleihMenü = new JPanel(new BorderLayout());
		JPanel inputMenu = new JPanel(new GridLayout(4, 1, 10, 10));
		JLabel text1 = new JLabel("Zu ausleihende Kennnummer des Mediums eingeben:");
		JTextField inputField1 = new JTextField(20);
		JLabel text2 = new JLabel("Datum eingeben:");
		JTextField inputField2 = new JTextField(20);
		inputMenu.add(text1);
		inputMenu.add(inputField1);
		inputMenu.add(text2);
		inputMenu.add(inputField2);
		ausleihMenü.add(inputMenu, BorderLayout.CENTER);
		JPanel buttonGrid = new JPanel(new GridLayout(1, 2, 10,10));
		JButton b1 = new JButton("Abbrechen");
		b1.addActionListener(e -> cl.show(mainPanel, "mediumPanel"));
		JButton b2 = new JButton("OK");
		b2.addActionListener(e -> {
		int kennnummer = Integer.parseInt(inputField1.getText());
		String ausleihDatum = inputField2.getText().toString();
		Bibliothek.ausleihe(kennnummer, ausleihDatum, k);
		cl.show(mainPanel, "mediumPanel");
		});
		buttonGrid.add(b1);
		buttonGrid.add(b2);
		ausleihMenü.add(buttonGrid, BorderLayout.SOUTH);
		mainPanel.add(ausleihMenü, "Ausleihen");
		cl.show(mainPanel, "Ausleihen");
	}

	private static void rückgabeMenü(Kunde k) {
		JPanel rückgabeMenü = new JPanel(new BorderLayout());
		JPanel inputMenu = new JPanel(new GridLayout(4,1,10,10));
		JLabel text1 = new JLabel("Kennnummer des Mediums zur Rückgabe eingeben:");
		JTextField inputField1 = new JTextField(20);
		JLabel text2 = new JLabel("Datum eingeben:");
		JTextField inputField2 = new JTextField(20);
		inputMenu.add(text1);
		inputMenu.add(inputField1);
		inputMenu.add(text2);
		inputMenu.add(inputField2);
		rückgabeMenü.add(inputMenu, BorderLayout.CENTER);;
		JPanel buttonGrid = new JPanel(new GridLayout(1, 2, 10,10));
		JButton b1 = new JButton("Abbrechen");
		b1.addActionListener(e -> cl.show(mainPanel, "mediumPanel"));
		JButton b2 = new JButton("OK");
		b2.addActionListener(e -> {
		int kennnummer = Integer.parseInt(inputField1.getText());
		String rückgabeDatum = inputField2.getText().toString();
		Bibliothek.rückgabe(kennnummer, rückgabeDatum, k);
		});
		buttonGrid.add(b1);
		buttonGrid.add(b2);
		rückgabeMenü.add(buttonGrid, BorderLayout.SOUTH);
		mainPanel.add(rückgabeMenü, "Rückgabe");
		cl.show(mainPanel, "Rückgabe");
	}

	private static void bookMenu(Kunde k) {
		int i = Bibliothek.bücherLänge();
			JPanel buchMenü = new JPanel(new GridLayout(i+2, 2, 10, 10));
			JLabel text0 = new JLabel("Ausleihe für 4 Wochen, bis zu 3 Mal verlängerbar.");
			buchMenü.add(text0);
			ArrayList<JLabel> jlabelList = Bibliothek.buchAuflisten();
			for(JLabel j: jlabelList) {
				buchMenü.add(j);
			}
			JButton b1 = new JButton("OK");
			b1.addActionListener(e -> {
				if(k == null) {
					cl.show(mainPanel, "browsePanel");
				} else {
					cl.show(mainPanel, "mediumPanel");}
			});
			buchMenü.add(b1, BorderLayout.SOUTH);
			mainPanel.add(buchMenü, "Bücher");
			cl.show(mainPanel, "Bücher");
	}
	
	private static void dvdMenu(Kunde k) {
		int i = Bibliothek.dvdLänge();
			JPanel dvdMenü = new JPanel(new GridLayout(i+2, 2, 10, 10));
			JLabel text0 = new JLabel("Ausleihe für 1 Woche, keine Verlängerung.");
			dvdMenü.add(text0);
			ArrayList<JLabel> jlabelList = Bibliothek.dvdAuflisten();
			for(JLabel j: jlabelList) {
				dvdMenü.add(j);
			}
			JButton b1 = new JButton("OK");
			b1.addActionListener(e -> {
				if(k == null) {
					cl.show(mainPanel, "browsePanel");
				} else {
					cl.show(mainPanel, "mediumPanel");}
			});
			dvdMenü.add(b1, BorderLayout.SOUTH);
			mainPanel.add(dvdMenü, "DVDs");
			cl.show(mainPanel, "DVDs");
	}
	
	private static void cdMenu(Kunde k) {
		int i = Bibliothek.cdLänge();
			JPanel cdMenü = new JPanel(new GridLayout(i+2, 2, 10, 10));
			JLabel text0 = new JLabel("Ausleihe für 2 Wochen, keine Verlängerung.");
			cdMenü.add(text0);
			ArrayList<JLabel> jlabelList = Bibliothek.cdAuflisten();
			for(JLabel j: jlabelList) {
				cdMenü.add(j);
			}
			JButton b1 = new JButton("OK");
			b1.addActionListener(e -> {
				if(k == null) {
					cl.show(mainPanel, "browsePanel");
				} else {
					cl.show(mainPanel, "mediumPanel");}
			});			cdMenü.add(b1, BorderLayout.SOUTH);
			mainPanel.add(cdMenü, "CDs");
			cl.show(mainPanel, "CDs");
	}
	
	private static void bsMenu(Kunde k) {
		int i = Bibliothek.bsLänge();
			JPanel bsMenü = new JPanel(new GridLayout(i+2, 2, 10, 10));
			JLabel text0 = new JLabel("Ausleihe für 2 Wochen, keine Verlängerung.");
			bsMenü.add(text0);
			ArrayList<JLabel> jlabelList = Bibliothek.bsAuflisten();
			for(JLabel j: jlabelList) {
				bsMenü.add(j);
			}
			JButton b1 = new JButton("OK");
			b1.addActionListener(e -> {
				if(k == null) {
					cl.show(mainPanel, "browsePanel");
				} else {
					cl.show(mainPanel, "mediumPanel");}
			});			bsMenü.add(b1, BorderLayout.SOUTH);
			mainPanel.add(bsMenü, "Brettspiele");
			cl.show(mainPanel, "Brettspiele");
		}
	
	private static void vsMenu(Kunde k) {
		int i = Bibliothek.vsLänge();
			JPanel vsMenü = new JPanel(new GridLayout(i+2, 2, 10, 10));
			JLabel text0 = new JLabel("Ausleihe für 4 Wochen, einmalige Verlängerung möglich.");
			vsMenü.add(text0);
			ArrayList<JLabel> jlabelList = Bibliothek.vsAuflisten();
			for(JLabel j: jlabelList) {
				vsMenü.add(j);
			}
			JButton b1 = new JButton("OK");
			b1.addActionListener(e -> {
				if(k == null) {
					cl.show(mainPanel, "browsePanel");
				} else {
					cl.show(mainPanel, "mediumPanel");}
			});			vsMenü.add(b1, BorderLayout.SOUTH);
			mainPanel.add(vsMenü, "Videospiele");
			cl.show(mainPanel, "Videospiele");
		}
	
	public static void myBooks(Kunde k) {
		int i = k.ausgelieheneMedienLänge();
		JPanel myBookMenu = new JPanel(new BorderLayout());
		JPanel info = new JPanel(new GridLayout(i, 1, 10, 10));
		JLabel text1 = new JLabel("Ihre ausgeliehenen Medien:");
		myBookMenu.add(text1, BorderLayout.NORTH);
		ArrayList<JLabel> jlabelList = Bibliothek.ausgelieheneListe(k);
		for(JLabel j: jlabelList) {
			info.add(j);
		}
		JButton b1 = new JButton("OK");
		b1.addActionListener(e -> cl.show(mainPanel, "mediumPanel"));
		myBookMenu.add(info, BorderLayout.CENTER);
		myBookMenu.add(b1, BorderLayout.SOUTH);
		mainPanel.add(myBookMenu, "AusgelieheneMedien");
		cl.show(mainPanel, "AusgelieheneMedien");
	}
	
	@Override
	public void actionPerformed(ActionEvent e) {
	}

	public static void zahlungsFenster(double kosten, String titel, int kennnummer, Kunde k) {
		JPanel zahlungPanel = new JPanel(new BorderLayout());
		JLabel text1 = new JLabel("Sie schulden für das Buch " + titel + " mit der Kennnummer " + kennnummer + " " + kosten + "€.");
		zahlungPanel.add(text1, BorderLayout.NORTH);
		JPanel zahlungPanelMitte = new JPanel(new GridLayout(2,1,10,10));
		JLabel text3 = new JLabel("Geben Sie ein wieviel sie zahlen:");
		zahlungPanelMitte.add(text3);
		JTextField inputField1 = new JTextField(20);
		zahlungPanelMitte.add(inputField1);
		zahlungPanel.add(zahlungPanelMitte, BorderLayout.CENTER);
		JButton b1 = new JButton("OK");
		zahlungPanel.add(b1, BorderLayout.SOUTH);
		mainPanel.add(zahlungPanel,"Zahlung1");
		cl.show(mainPanel, "Zahlung1");
		b1.addActionListener(e -> {
			String paymentString = inputField1.getText().toString();
			zahlungStatus(paymentString, kosten, k);
			});
		}

	private static void zahlungStatus(String zahlungStr, double kosten, Kunde k) {
		int zahlung = Integer.parseInt(zahlungStr);
		boolean zahlungErfolgreich = Bibliothek.zahlungRegistrieren(zahlung, kosten);
		JPanel zahlungStatusPanel = new JPanel(new BorderLayout());
		JLabel text2 = new JLabel("Zahlungsstatus:");
		zahlungStatusPanel.add(text2, BorderLayout.NORTH);
		JButton b2 = new JButton("OK");
		zahlungStatusPanel.add(b2, BorderLayout.SOUTH);
			if(zahlungErfolgreich == true) {
				JLabel text4 = new JLabel("Zahlung war erfolgreich!");
				zahlungStatusPanel.add(text4, BorderLayout.CENTER);		
				k.setSchulden(kosten - zahlung);
			} else {
				k.setSchulden(kosten - zahlung);
				double schulden = k.getSchulden(); 
				JLabel text4 = new JLabel("Zahlung fehlgeschlagen! Ihnen wurden " + schulden + "€ Schulden zugeschrieben.");
				zahlungStatusPanel.add(text4, BorderLayout.CENTER);
			}
		mainPanel.add(zahlungStatusPanel, "Zahlung2");
		cl.show(mainPanel, "Zahlung2");
		b2.addActionListener(e -> {
			cl.show(mainPanel, "mediumPanel");
		});
	}

	public static void noMoneyOwed() {
		cl.show(mainPanel, "mediumPanel");		
	}

		
}